Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfStringConverter

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfStringConverter

    public final class RtfStringConverter

extends java.lang.Object

Converts java Strings according to RTF conventions.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

Method Summary
`java.lang.String` | `escape(java.lang.String str)` Escapes a String as required by the RTF spec.
`static RtfStringConverter` | `getInstance()` use this to get an object of this class
`void` | `writeRtfString(java.io.Writer w, java.lang.String str)` Write given String to given Writer, converting characters as required by RTF spec

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RtfStringConverter getInstance()

  use this to get an object of this class

  Returns:
    the singleton instance

### writeRtfString

    public void writeRtfString(java.io.Writer w,
                               java.lang.String str)
                        throws java.io.IOException

  Write given String to given Writer, converting characters as required by RTF spec

  Parameters:
    `w` - Writer
    `str` - String to be written
  Throws:
    `java.io.IOException` - for I/O problems

### escape

    public java.lang.String escape(java.lang.String str)

  Escapes a String as required by the RTF spec.

  Parameters:
    `str` - String to be escaped
  Returns:
    the escaped string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.